package com.example.myimagepicker.luban

import java.io.File

/**
 * Created by lsy
 * on 2019/3/29
 */
interface OnCompressListener {

    /**
     * Fired when the compression is started, override to handle in your own code
     */
    fun onStart()

    /**
     * Fired when a compression returns successfully, override to handle in your own code
     */
    fun onSuccess(file: File)

    /**
     * Fired when a compression fails to complete, override to handle in your own code
     */
    fun onError(e: Throwable)
}
